from ObservationSim import Observation
from Pointing import *
import os
import numpy as np
import galsim

import gc
gc.enable()

#############################################
# Testing run one exposure (NOT using MPI)
ipoint = 2
pointRa = float('{:8.4f}'.format(pRA[ipoint]))
pointDec = float('{:8.4f}'.format(pDEC[ipoint]))

cat_dir = 'point_RA' + str(pointRa) + '_DE' + str(pointDec) + '/'
obs = Observation(input_cat_dir=cat_dir, work_dir=work_dir, data_dir=data_dir)
obs = Observation(work_dir=work_dir, data_dir=data_dir)
obs.runExposure(ra_cen=pointRa, dec_cen=pointDec, pointing_ID=ipoint, oneChip=16)

#############################################
# Testing run pointing list (using MPI)
# obs = Observation(work_dir=work_dir, data_dir=data_dir)
# obs.runExposure_MPI_PointingList(ra_cen=pRA, dec_cen=pDEC, pRange=pRange)
